--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2012.04.09
-#	Date:    2012-04-09 03:15:02
+#	Version: 2013.06.21
+#	Date:    2013-06-21 03:15:02
 #
 #	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
 #	PCI ID Project at http://pci-ids.ucw.cz/.
@@ -21,44 +21,23 @@
 #	device  device_name				<-- single tab
 #		subvendor subdevice  subsystem_name	<-- two tabs
 
-0000  Gammagraphx, Inc. (or missing ID)
-0010  Allied Telesis, Inc
+0010  Allied Telesis, Inc (Wrong ID)
 # This is a relabelled RTL-8139
 	8139  AT-2500TX V3 Ethernet
-001a  Ascend Communications, Inc.
 001c  PEAK-System Technik GmbH
 	0001  PCAN-PCI CAN-Bus controller
 		001c 0004  2 Channel CAN Bus SJC1000
 		001c 0005  2 Channel CAN Bus SJC1000 (Optically Isolated)
-0033  Paradyne corp.
 003d  Lockheed Martin-Marietta Corp
 # Real TJN ID is e159, but they got it wrong several times --mj
 0059  Tiger Jet Network Inc. (Wrong ID)
 0070  Hauppauge computer works Inc.
-	0003  WinTV PVR-250
-	0009  WinTV PVR-150
-	0801  WinTV PVR-150
-	0807  WinTV PVR-150
-	4000  WinTV PVR-350
-	4001  WinTV PVR-250 (v1)
-	4009  WinTV PVR-250
-	4800  WinTV PVR-350
-	4801  WinTV PVR-250 MCE
-	4803  WinTV PVR-250
-	7444  WinTV HVR-1600
 	7801  WinTV HVR-1800 MCE
-	8003  WinTV PVR-150
-	8801  WinTV PVR-150
-	c108  WinTV-HVR-4400-HD model 1278
-	c801  WinTV PVR-150
-	e807  WinTV PVR-500 MCE (1st tuner)
-	e817  WinTV PVR-500 MCE (2nd tuner)
 0071  Nebula Electronics Ltd.
 0095  Silicon Image, Inc. (Wrong ID)
 	0680  Ultra ATA/133 IDE RAID CONTROLLER CARD
 # Wrong ID used in subsystem ID of the TELES.S0/PCI 2.x ISDN adapter
 00a7  Teles AG (Wrong ID)
-00f5  BFG Technologies, Inc.
 0100  Ncipher Corp Ltd
 0123  General Dynamics
 # 018a is not LevelOne but there is a board misprogrammed
@@ -68,73 +47,28 @@
 021b  Compaq Computer Corporation
 	8139  HNE-300 (RealTek RTL8139c) [iPaq Networking]
 0270  Hauppauge computer works Inc. (Wrong ID)
-0291  Davicom Semiconductor, Inc.
-	8212  DM9102A(DM9102AE, SM9102AF) Ethernet 100/10 MBit(Rev 40)
 # SpeedStream is Efficient Networks, Inc, a Siemens Company
 02ac  SpeedStream
 	1012  1012 PCMCIA 10/100 Ethernet Card [RTL81xx]
-02e0  XFX Pine Group Inc
 0303  Hewlett-Packard Company (Wrong ID)
-0308  ZyXEL Communications Corporation
+0308  ZyXEL Communications Corporation (Wrong ID)
 0315  SK-Electronics Co., Ltd.
-0357  TTTech AG
+0357  TTTech Computertechnik AG (Wrong ID)
 	000a  TTP-Monitoring Card V2.0
-036f  Trigem Computer Inc.
-0403  Future Technology Devices International Ltd
 0432  SCM Microsystems, Inc.
 	0001  Pluto2 DVB-T Receiver for PCMCIA [EasyWatch MobilSet]
-0482  Kyocera
-# vendor code used for (at a minimum) RSA cards
-04b3  IBM Corp.
-	4001  Remote System Administration device [RSA2]
-050d  Belkin
-058f  Alcor Micro Corporation
-05a9  OmniVision
-	8519  OV519 series
-05e3  CyberDoor
-	0701  CBD516
-066f  SigmaTel
-	3410  SMTP3410
-	3500  SMTP3500
 0675  Dynalink
 	1700  IS64PH ISDN Adapter
 	1702  IS64PH ISDN Adapter
 	1703  ISDN Adapter (PCI Bus, DV, W)
 	1704  ISDN Adapter (PCI Bus, D, C)
-069d  Hughes Network Systems (HNS)
 0721  Sapphire, Inc.
 0777  Ubiquiti Networks, Inc.
-# Atheros, 6th Generation, AR5414, 802.11a, 5GHz
-	3005  XtremeRange5
 0795  Wired Inc.
 	6663  Butane II (MPEG2 encoder board)
 	6666  MediaPress (MPEG2 encoder board)
-07ca  AVerMedia Technologies Inc.
-# Expresscard DVB-T tuner sold by Fujitsu for notebooks
-	534a  Slim mobile Express DVB-T (Fujitsu)
-	a301  AVerTV 301
-	b808  AVerTV DVB-T Volar (USB 2.0)
-07d0  ITT Geospatial Systems
 07d1  D-Link System Inc
-07e2  ELMEG Communication Systems GmbH
-0842  NPG, Personal Grand Technology
-# Nee Gemplus International, SA
-08e6  Gemalto NV
-08ff  AuthenTec
-	afe4  [Anchor] AF-S2 FingerLoc Sensor Module
-0925  First International Computer, Inc.
-	1234  VA-502 Mainboard
-093a  PixArt Imaging Inc.
-	010e  Innovage Mini Digital Camera
-	010f  SDC-300 Webcam
-	020f  Digital Photo Viewer
-	2468  CIF Single Chip
-	2600  PAC7311
-	2603  Philips Webcam SPC500NC
-	2608  Maxell MaxCam RotaWeb
-	2620  C3 Tech Mod. 153
-09c1  Arris
-	0704  CM 200E Cable Modem
+0925  VIA Technologies, Inc. (Wrong ID)
 0a89  BREA Technologies Inc
 0b0b  Rhino Equipment Corp.
 	0105  Rhino R1T1
@@ -151,9 +85,6 @@
 	0905  R1T3 Single T3 Digital Telephony Card
 	0906  RCB24FXX 24-channel modular analog telphony card
 	0a06  RCB672FXX 672-channel modular analog telphony card
-0b3d  Brontes Technologies
-0ccd  TerraTec Electronic GmbH
-	0038  Cinergy T^2 DVB-T Receiver
 0e11  Compaq Computer Corporation
 	0001  PCI to EISA Bridge
 	0002  PCI to ISA Bridge
@@ -202,6 +133,7 @@
 	7020  USB Controller
 	a0ec  Fibre Channel Host Controller
 	a0f0  Advanced System Management Controller
+		0e11 b0f3  ProLiant DL360
 	a0f3  Triflex PCI to ISA Bridge
 	a0f7  PCI Hotplug Controller
 		8086 002a  PCI Hotplug Controller A
@@ -260,8 +192,6 @@
 	c000  Remote Insight Lights-Out Edition
 	f130  NetFlex-3/P ThunderLAN 1.0
 	f150  NetFlex-3/P ThunderLAN 2.3
-0e21  Cowon Systems, Inc.
-0e55  HaSoTec GmbH
 0eac  SHF Communication Technologies AG
 	0008  Ethernet Powerlink Managing Node 01
 0f62  Acrox Technologies Co., Ltd.
@@ -325,6 +255,8 @@
 		4c53 1080  CT8 mainboard
 		4c53 1300  P017 mezzanine (32-bit PMC)
 		4c53 1310  P017 mezzanine (64-bit PMC)
+	002f  MegaRAID SAS 2208 IOV [Thunderbolt]
+		1028 1f3e  SPERC 8
 	0030  53c1030 PCI-X Fusion-MPT Dual Ultra320 SCSI
 		0e11 00da  ProLiant ML 350
 		1028 0123  LSI Logic 1020/1030
@@ -375,6 +307,25 @@
 	0059  MegaRAID SAS 8208ELP/8208ELP
 	005a  SAS1066E PCI-Express Fusion-MPT SAS
 	005b  MegaRAID SAS 2208 [Thunderbolt]
+		1000 9265  MegaRAID SAS 9265-8i
+		1000 9266  MegaRAID SAS 9266-8i
+		1000 9267  MegaRAID SAS 9267-8i
+		1000 9268  MegaRAID SAS 9265CV-8i / 9270CV-8i
+		1000 9269  MegaRAID SAS 9266-4i
+		1000 9270  MegaRAID SAS 9270-8i
+		1000 9271  MegaRAID SAS 9271-8i
+		1000 9272  MegaRAID SAS 9272-8i
+		1000 9273  MegaRAID SAS 9270CV-8i
+		1000 9274  MegaRAID SAS 9270-4i
+		1000 9275  MegaRAID SAS 9271-8iCC
+		1000 9276  MegaRAID SAS 9271-4i
+		1000 9285  MegaRAID SAS 9285-8e
+		1000 9288  MegaRAID SAS 9285CV-8e
+		1000 9290  MegaRAID SAS 9286-8e
+		1000 9291  MegaRAID SAS 9286CV-8e
+		1000 9295  MegaRAID SAS 9286CV-8eCC
+		1014 040b  ServeRAID M5110 SAS/SATA Controller
+		1014 0412  ServeRAID M5110e SAS/SATA Controller
 		1028 1f2d  PERC H810 Adapter
 		1028 1f30  PERC H710 Embedded
 		1028 1f31  PERC H710P Adapter
@@ -383,10 +334,22 @@
 		1028 1f35  PERC H710 Adapter
 		1028 1f37  PERC H710 Mini (for blades)
 		1028 1f38  PERC H710 Mini (for monolithics)
-		8086 3513  RMS25PB080 RAID Controller
+		8086 3513  RMS25CB080 RAID Controller
 	005c  SAS1064A PCI-X Fusion-MPT SAS
 	005d  MegaRAID SAS-3 3108 [Invader]
+		1028 1f41  PERC H830 Adapter
+		1028 1f42  PERC H730P Adapter
+		1028 1f43  PERC H730 Adapter
+		1028 1f47  PERC H730P Mini
+		1028 1f48  PERC H730P Mini (for blades)
+		1028 1f49  PERC H730 Mini
+		1028 1f4a  PERC H730 Mini (for blades)
 	005e  SAS1066 PCI-X Fusion-MPT SAS
+	005f  MegaRAID SAS-3 3008 [Fury]
+		1028 1f44  PERC H330 Adapter
+		1028 1f4b  PERC H330 Mini
+		1028 1f4c  PERC H330 Mini (for blades)
+		1028 1f4d  PERC H330 Embedded (for monolithic)
 	0060  MegaRAID SAS 1078
 		1000 1006  MegaRAID SAS 8888ELP
 		1000 100a  MegaRAID SAS 8708ELP
@@ -436,6 +399,7 @@
 	0073  MegaRAID SAS 2008 [Falcon]
 		1000 9240  MegaRAID SAS 9240-8i
 		1000 9241  MegaRAID SAS 9240-4i
+		1000 92a0  MegaRAID SAS 9220-8i
 		1014 03b1  ServeRAID M1015 SAS/SATA Controller
 		1028 1f4e  PERC H310 Adapter
 		1028 1f4f  PERC H310 Integrated
@@ -605,89 +569,104 @@
 	0016  PCI-MFB Analogue I/O board
 	0017  PROTO-3 PCI Prototyping board
 	9100  INI-9100/9100W SCSI Host
-# nee ATI Technologies Inc.
-1002  Advanced Micro Devices [AMD] nee ATI
+# nee ATI Technologies, Inc.
+1002  Advanced Micro Devices, Inc. [AMD/ATI]
+	1304  Kaveri
+	1305  Kaveri
+	1306  Kaveri
+	1307  Kaveri
+	1309  Kaveri
+	130a  Kaveri
+	130b  Kaveri
+	130c  Kaveri
+	130d  Kaveri
+	130e  Kaveri
+	130f  Kaveri
+	1310  Kaveri
+	1311  Kaveri
+	1313  Kaveri
 	1314  Wrestler HDMI Audio [Radeon HD 6250/6310]
+		174b 1001  PURE Fusion Mini
+	1315  Kaveri
+	1316  Kaveri
+	131b  Kaveri
+	131c  Kaveri
 	1714  BeaverCreek HDMI Audio [Radeon HD 6500D and 6400G-6600G series]
-	3150  M24 1P [Radeon Mobility X600]
+		103c 168b  ProBook 4535s
+	3150  RV380/M24 [Mobility Radeon X600]
 		103c 0934  nx8220
-	3151  M24 [FireMV 2400]
-	3152  RV370 [Mobility Radeon X300]
-	3154  M24GL [Mobility FireGL V3200]
-	3171  M24 [FireMV 2400] (Secondary)
-	3e50  RV380 0x3e50 [Radeon X600]
-	3e54  RV380 0x3e54 [FireGL V3200]
+	3151  RV380 GL [FireMV 2400]
+	3152  RV370/M22 [Mobility Radeon X300]
+	3154  RV380/M24 GL [Mobility FireGL V3200]
+	3155  RV380 GL [FireMV 2400]
+	3171  RV380 GL [FireMV 2400] (Secondary)
+	3e50  RV380 [Radeon X600]
+	3e54  RV380 GL [FireGL V3200]
 	3e70  RV380 [Radeon X600] (Secondary)
-	4136  RS100 [Radeon IGP320(M)]
-	4137  RS200 [Radeon IGP330/340/350]
-	4144  R300 AD [Radeon 9500 Pro]
-	4145  R300 AE [Radeon 9700 Pro]
-	4146  R300 AF [Radeon 9700 Pro]
-	4147  R300 AG [FireGL Z1/X1]
-	4148  R350 AH [Radeon 9800]
-	4149  R350 AI [Radeon 9800]
-	414a  R350 AJ [Radeon 9800]
-	414b  R350 AK [FireGL X2]
-	4150  RV350 AP [Radeon 9600]
+	4136  RS100 [Mobility IGP 320M]
+	4137  RS200 [Radeon IGP 340]
+	4144  R300 [Radeon 9500]
+	4146  R300 [Radeon 9700 PRO]
+	4147  R300 GL [FireGL Z1]
+	4148  R350 [Radeon 9800/9800 SE]
+	4150  RV350 [Radeon 9550/9600/X1050 Series]
 		1002 0002  R9600 Pro primary (Asus OEM for HP)
 		1002 0003  R9600 Pro secondary (Asus OEM for HP)
 		1002 4722  All-in-Wonder 2006 AGP Edition
-		1458 4024  Giga-Byte GV-R96128D (Primary)
-		148c 2064  PowerColor R96A-C3N
-		148c 2066  PowerColor R96A-C3N
-		174b 7c19  Sapphire Atlantis Radeon 9600 Pro
-		174b 7c29  GC-R9600PRO [Sapphire] (Primary)
+		1458 4024  GV-R96128D
+		148c 2064  R96A-C3N
+		148c 2066  R96A-C3N
+		174b 7c19  Atlantis Radeon 9600 Pro
+		174b 7c29  GC-R9600PRO
 		17ee 2002  Radeon 9600 256Mb Primary
 		18bc 0101  GC-R9600PRO (Primary)
-	4151  RV350 AQ [Radeon 9600]
+	4151  RV350 [Radeon 9600 Series]
 		1043 c004  A9600SE
-	4152  RV350 AR [Radeon 9600]
+	4152  RV360 [Radeon 9600/X1050 Series]
 		1002 0002  Radeon 9600XT
 		1002 4772  All-in-Wonder 9600 XT
 		1043 c002  Radeon 9600 XT TVD
 		1043 c01a  A9600XT/TD
-		174b 7c29  Sapphire Radeon 9600XT
+		1462 9510  RX9600XT (MS-8951)
+		174b 7c29  Radeon 9600XT
 		1787 4002  Radeon 9600 XT
-	4153  RV350 AS [Radeon 9550]
+	4153  RV350 [Radeon 9550]
 		1043 010c  A9550GE/TD
 		1462 932c  RX9550SE-TD128 (MS-8932)
-	4154  RV350 AT [FireGL T2]
-	4155  RV350 AU [FireGL T2]
-	4156  RV350 AV [FireGL T2]
-	4157  RV350 AW [FireGL T2]
+	4154  RV350 GL [FireGL T2]
+	4155  RV350 [Radeon 9600]
+	4157  RV350 GL [FireGL T2]
 	4158  68800AX [Mach32]
-	4164  R300 AD [Radeon 9500 Pro] (Secondary)
-	4165  R300 AE [Radeon 9700 Pro] (Secondary)
-	4166  R300 AF [Radeon 9700 Pro] (Secondary)
-	4168  R350 [Radeon 9800] (Secondary)
-	4170  RV350 AP [Radeon 9600] (Secondary)
+	4164  R300 [Radeon 9500 PRO] (Secondary)
+	4165  R300 [Radeon 9700 PRO] (Secondary)
+	4166  R300 [Radeon 9700 PRO] (Secondary)
+	4168  RV350 [Radeon 9800 SE] (Secondary)
+	4170  RV350 [Radeon 9550/9600/X1050 Series] (Secondary)
 		1002 0003  R9600 Pro secondary (Asus OEM for HP)
 		1002 4723  All-in-Wonder 2006 AGP Edition (Secondary)
-		1458 4025  Giga-Byte GV-R96128D (Secondary)
-		148c 2067  PowerColor R96A-C3N (Secondary)
-		174b 7c28  GC-R9600PRO [Sapphire] (Secondary)
+		1458 4025  GV-R96128D (Secondary)
+		148c 2067  R96A-C3N (Secondary)
+		174b 7c28  GC-R9600PRO (Secondary)
 		17ee 2003  Radeon 9600 256Mb (Secondary)
 		18bc 0100  GC-R9600PRO (Secondary)
-	4171  RV350 AQ [Radeon 9600] (Secondary)
+	4171  RV350 [Radeon 9600] (Secondary)
 		1043 c005  A9600SE (Secondary)
-	4172  RV350 AR [Radeon 9600] (Secondary)
+	4172  RV350 [Radeon 9600/X1050 Series] (Secondary)
 		1002 0003  Radeon 9600XT (Secondary)
 		1002 4773  All-in-Wonder 9600 XT (Secondary)
 		1043 c003  A9600XT (Secondary)
 		1043 c01b  A9600XT/TD (Secondary)
-		174b 7c28  Sapphire Radeon 9600XT (Secondary)
+		174b 7c28  Radeon 9600XT (Secondary)
 		1787 4003  Radeon 9600 XT (Secondary)
-	4173  RV350 AS [Radeon 9550] (Secondary)
+	4173  RV350 [Radeon 9550] (Secondary)
 		1043 010d  A9550GE/TD (Secondary)
-	4237  RS250 [Radeon Mobility 7000 IGP]
-	4242  R200 BB [Radeon All in Wonder 8500DV]
+	4242  R200 [All-In-Wonder Radeon 8500 DV]
 		1002 02aa  Radeon 8500 AIW DV Edition
-	4243  R200 BC [Radeon All in Wonder 8500]
-	4336  RS100 [Radeon IGP320M]
+	4336  RS100 [Radeon IGP 320M]
 		1002 4336  Pavilion ze4300 ATI Radeon Mobility U1 (IGP 320 M)
 		103c 0024  Pavilion ze4400 builtin Video
 		161f 2029  eMachines M5312 builtin Video
-	4337  RS200 [Radeon IGP330M/340M/350M]
+	4337  RS200M [Radeon IGP 330M/340M/345M/350M]
 		1014 053a  ThinkPad R40e
 		103c 0850  Radeon IGP 345M
 	4341  IXP150 AC'97 Audio Controller
@@ -698,7 +677,7 @@
 	4349  Dual Channel Bus Master PCI IDE Controller
 	434d  IXP AC'97 Modem
 	4353  SMBus
-	4354  215CT [Mach64 CT]
+	4354  215CT [Mach64 CT PCI]
 	4358  210888CX [Mach64 CX]
 	4361  IXP SB300 AC'97 Audio Controller
 	4363  SMBus
@@ -770,6 +749,7 @@
 	4381  SB400 SATA Controller (RAID 5 mode)
 	4382  SB600 AC97 Audio
 	4383  SBx00 Azalia (Intel HDA)
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		103c 280a  DC5750 Microtower
 		1043 8230  M3A78-EH Motherboard
@@ -781,6 +761,7 @@
 		17f2 5000  KI690-AM2 Motherboard
 	4384  SBx00 PCI to PCI Bridge
 	4385  SBx00 SMBus Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		103c 280a  DC5750 Microtower
 		1043 82ef  M3A78-EH Motherboard
@@ -788,6 +769,8 @@
 		1179 ff50  Satellite P305D-S8995E
 		1458 4385  GA-MA770-DS3rev2.0 Motherboard
 		1462 7368  K9AG Neo2
+		15d9 a811  H8DGU
+		174b 1001  PURE Fusion Mini
 		17f2 5000  KI690-AM2 Motherboard
 	4386  SB600 USB Controller (EHCI)
 		103c 280a  DC5750 Microtower
@@ -840,37 +823,51 @@
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
+		174b 1001  PURE Fusion Mini
 	4392  SB7x0/SB8x0/SB9x0 SATA Controller [Non-RAID5 mode]
 	4393  SB7x0/SB8x0/SB9x0 SATA Controller [RAID5 mode]
 	4394  SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
 	4395  SB8x0/SB9x0 SATA Controller [Storage mode]
 	4396  SB7x0/SB8x0/SB9x0 USB EHCI Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
+		15d9 a811  H8DGU
+		174b 1001  PURE Fusion Mini
 	4397  SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
+		15d9 a811  H8DGU
+		174b 1001  PURE Fusion Mini
 	4398  SB7x0 USB OHCI1 Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
+		15d9 a811  H8DGU
 	4399  SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
+		174b 1001  PURE Fusion Mini
 	439c  SB7x0/SB8x0/SB9x0 IDE Controller
+		1019 2120  A785GM-M
 		1043 82ef  M3A78-EH Motherboard
 	439d  SB7x0/SB8x0/SB9x0 LPC host controller
+		1019 2120  A785GM-M
 		103c 1611  Pavilion DM1Z-3000
 		1043 82ef  M3A78-EH Motherboard
 		1043 8443  M5A88-V EVO
+		174b 1001  PURE Fusion Mini
 	43a0  SB700/SB800/SB900 PCI to PCI bridge (PCIE port 0)
 	43a1  SB700/SB800/SB900 PCI to PCI bridge (PCIE port 1)
 	43a2  SB900 PCI to PCI bridge (PCIE port 2)
 	43a3  SB900 PCI to PCI bridge (PCIE port 3)
-	4437  RS250 [Radeon Mobility 7000 IGP]
+	4437  RS250 [Mobility Radeon 7000 IGP]
 	4554  210888ET [Mach64 ET]
 	4654  Mach64 VT
-	4742  3D Rage Pro AGP 1X/2X
+	4742  3D Rage PRO AGP 2X
 		1002 0040  Rage Pro Turbo AGP 2X
 		1002 0044  Rage Pro Turbo AGP 2X
 		1002 0061  Rage Pro AIW AGP 2X
@@ -886,14 +883,12 @@
 		1028 c082  Rage Pro Turbo AGP 2X
 		8086 4152  Xpert 98D AGP 2X
 		8086 464a  Rage Pro Turbo AGP 2X
-	4744  3D Rage Pro AGP 1X
+	4744  3D Rage PRO AGP 1X
 		1002 4744  Rage Pro Turbo AGP
 		8086 4d55  Rage 3D Pro AGP 1X [Intel MU440EX]
-	4747  3D Rage Pro
-	4749  3D Rage Pro
+	4749  3D Rage PRO PCI
 		1002 0061  Rage Pro AIW
 		1002 0062  Rage Pro AIW
-	474c  Rage XC
 	474d  Rage XL AGP 2X
 		1002 0004  Xpert 98 RXL AGP 2X
 		1002 0008  Xpert 98 RXL AGP 2X
@@ -906,14 +901,13 @@
 	474f  Rage XL
 		1002 0008  Rage XL
 		1002 474f  Rage XL
-	4750  3D Rage Pro 215GP
+	4750  3D Rage Pro PCI
 		1002 0040  Rage Pro Turbo
 		1002 0044  Rage Pro Turbo
 		1002 0080  Rage Pro Turbo
 		1002 0084  Rage Pro Turbo
 		1002 4750  Rage Pro Turbo
-	4751  3D Rage Pro 215GQ
-	4752  Rage XL
+	4752  Rage XL PCI
 		0e11 001e  Proliant Rage XL
 		1002 0008  Rage XL
 		1002 4752  Proliant Rage XL
@@ -926,16 +920,18 @@
 		1028 014a  PowerEdge 1750
 		1028 0165  PowerEdge 750
 		103c 10e1  NetServer Rage XL
+		103c 3208  ProLiant DL140 G2
 		107b 6400  6400 Server
 		1734 007a  PRIMERGY RX/TX series onboard VGA
+		1734 1073  Primergy Econel 200 D2020 mainboard
 		8086 3411  SDS2 Mainboard
 		8086 3427  S875WP1-E mainboard
 		8086 5744  S845WD1-E mainboard
 	4753  Rage XC
 		1002 4753  Rage XC
-	4754  3D Rage I/II 215GT [Mach64 GT]
-	4755  3D Rage II+ 215GTB [Mach64 GTB]
-	4756  3D Rage IIC 215IIC [Mach64 GT IIC]
+	4754  3D Rage II/II+ PCI [Mach64 GT]
+	4755  3D Rage II+ PCI [Mach64 GTB]
+	4756  3D Rage IIC PCI [Mach64 GT IIC]
 		1002 4756  Rage IIC
 	4757  3D Rage IIC AGP
 		1002 4757  Rage IIC AGP
@@ -944,49 +940,44 @@
 		1028 4082  Rage 3D IIC
 		1028 8082  Rage 3D IIC
 		1028 c082  Rage 3D IIC
-	4758  210888GX [Mach64 GX]
-	4759  3D Rage IIC
+	4758  210888GX [Mach64 GX PCI]
+	4759  3D Rage IIC PCI
 	475a  3D Rage IIC AGP
 		1002 0084  Rage 3D Pro AGP 2x XPERT 98
 		1002 0087  Rage 3D IIC
 		1002 475a  Rage IIC AGP
-	4964  RV250 Id [Radeon 9000]
-	4965  RV250 Ie [Radeon 9000]
-	4966  R250 If [Radeon 9000]
+	4966  RV250 [Radeon 9000 Series]
 		10f1 0002  RV250 If [Tachyon G9000 PRO]
 		148c 2039  RV250 If [Radeon 9000 Pro "Evil Commando"]
 		1509 9a00  RV250 If [Radeon 9000 "AT009"]
 		1681 0040  RV250 If [3D prophet 9000]
-		174b 7176  RV250 If [Sapphire Radeon 9000 Pro]
+		174b 7176  Radeon 9000 Pro
 		174b 7192  RV250 If [Radeon 9000 "Atlantis"]
 		17af 2005  RV250 If [Excalibur Radeon 9000 Pro]
 		17af 2006  RV250 If [Excalibur Radeon 9000]
-	4967  RV250 Ig [Radeon 9000]
 	496e  RV250 [Radeon 9000] (Secondary)
-	4a48  R420 JH [Radeon X800]
-	4a49  R420 JI [Radeon X800PRO]
-	4a4a  R420 JJ [Radeon X800SE]
-	4a4b  R420 JK [Radeon X800]
-	4a4c  R420 JL [Radeon X800]
-	4a4d  R420 JM [FireGL X3]
-	4a4e  R420 JN [Mobility Radeon 9800]
-	4a4f  R420 [Radeon X800 AGP]
-	4a50  R420 JP [Radeon X800XT]
-	4a54  R420 [Radeon X800 VE]
+	4a49  R420 [Radeon X800 PRO/GTO AGP]
+		174b 2620  R420 [Radeon X800 GTO AGP]
+	4a4a  R420 [Radeon X800 GT AGP]
+	4a4b  R420 [Radeon X800 AGP Series]
+	4a4d  R420 GL [FireGL X3-256]
+	4a4e  RV420/M18 [Mobility Radeon 9800]
+	4a4f  R420 [Radeon X850 AGP]
+	4a50  R420 [Radeon X800 XT Platinum Edition AGP]
+	4a54  R420 [Radeon X800 VE AGP]
+		1002 4422  All-In-Wonder X800 VE AGP
 	4a69  R420 [Radeon X800 PRO/GTO] (Secondary)
 	4a6a  R420 [Radeon X800] (Secondary)
-	4a6b  R420 [Radeon X800] (Secondary)
-	4a70  R420 [X800XT-PE] (Secondary)
+	4a6b  R420 [Radeon X800 XT AGP] (Secondary)
+	4a70  R420 [Radeon X800 XT Platinum Edition AGP] (Secondary)
 	4a74  R420 [Radeon X800 VE] (Secondary)
-	4b48  R481 [Radeon X850 PCIe]
-	4b49  R480 [Radeon X850XT]
-	4b4a  R480 [Radeon X850SE AGP]
-	4b4b  R480 [Radeon X850Pro]
-	4b4c  R481 [Radeon X850XT-PE]
-	4b69  R480 [Radeon X850XT] (Secondary)
-	4b6b  R480 [Radeon X850Pro] (Secondary)
-	4b6c  R481 [Radeon X850XT-PE] (Secondary)
-	4c42  3D Rage LT Pro AGP-133
+	4b49  R481 [Radeon X850 XT AGP]
+	4b4b  R481 [Radeon X850 PRO AGP]
+	4b4c  R481 [Radeon X850 XT Platinum Edition AGP]
+	4b69  R481 [Radeon X850 XT AGP] (Secondary)
+	4b6b  R481 [Radeon X850 PRO AGP] (Secondary)
+	4b6c  R481 [Radeon X850 XT Platinum Edition AGP] (Secondary)
+	4c42  3D Rage LT PRO AGP 2X
 		0e11 b0e7  Rage LT Pro (Compaq Presario 5240)
 		0e11 b0e8  Rage 3D LT Pro
 		0e11 b10e  3D Rage LT Pro (Compaq Armada 1750)
@@ -995,19 +986,17 @@
 		1002 4c42  Rage LT Pro AGP 2X
 		1002 8001  Rage LT Pro AGP 2X
 		1028 0085  Rage 3D LT Pro
-	4c44  3D Rage LT Pro AGP-66
-	4c45  Rage Mobility M3 AGP
-	4c46  Rage Mobility M3 AGP 2x
+	4c46  Rage Mobility 128 AGP 2X/Mobility M3
 		1002 0155  IBM Thinkpad A22p
 		1014 0155  IBM Thinkpad A22p
 		1028 00b1  Latitude C600
-	4c47  3D Rage LT-G 215LG
-	4c49  3D Rage LT Pro
+	4c47  3D Rage IIC PCI / Mobility Radeon 7500/7500C
+	4c49  3D Rage LT PRO PCI
 		1002 0004  Rage LT Pro
 		1002 0040  Rage LT Pro
 		1002 0044  Rage LT Pro
 		1002 4c49  Rage LT Pro
-	4c4d  Rage Mobility P/M AGP 2x
+	4c4d  Rage Mobility AGP 2x Series
 		0e11 b111  Armada M700
 		0e11 b160  Armada E500
 		1002 0084  Xpert 98 AGP 2X (Mobility)
@@ -1016,23 +1005,20 @@
 		1028 00bb  Latitude CPx
 		1179 ff00  Satellite 1715XCDS laptop
 		13bd 1019  PC-AR10
-	4c4e  Rage Mobility L AGP 2x
-	4c50  3D Rage LT Pro
+	4c50  3D Rage LT PRO PCI
 		1002 4c50  Rage LT Pro
-	4c51  3D Rage LT Pro
-	4c52  Rage Mobility P/M
+	4c52  Rage Mobility-M1 PCI
 		1033 8112  Versa Note VXi
-	4c53  Rage Mobility L
 	4c54  264LT [Mach64 LT]
-	4c57  RV200 [Mobility Radeon 7500]
+	4c57  RV200/M7 [Mobility Radeon 7500]
 		1014 0517  ThinkPad T30
 		1014 0530  ThinkPad T42 2373-4WU
 		1028 00e6  Radeon Mobility M7 LW (Dell Inspiron 8100)
 		1028 012a  Latitude C640
 		1043 1622  Mobility Radeon M7 (L3C/S)
 		144d c006  Radeon Mobility M7 LW in vpr Matrix 170B4
-	4c58  Radeon RV200 LX [Mobility FireGL 7800 M7]
-	4c59  RV100 LY [Mobility Radeon 7000]
+	4c58  RV200/M7 GL [Mobility FireGL 7800]
+	4c59  RV100/M6 [Rage/Radeon Mobility Series]
 		0e11 b111  Evo N600c
 		1014 0235  ThinkPad A30/A30p (2652/2653)
 		1014 0239  ThinkPad X22/X23/X24
@@ -1040,66 +1026,55 @@
 		104d 80e7  VAIO PCG-GR214EP/GR214MP/GR215MP/GR314MP/GR315MP
 		104d 8140  PCG-Z1SP laptop
 		1509 1930  Medion MD9703
-	4c5a  RV100 LZ [Mobility Radeon 7000]
-	4c64  Radeon RV250 Ld [Radeon Mobility 9000 M9]
-	4c65  Radeon RV250 Le [Radeon Mobility 9000 M9]
-	4c66  Radeon RV250 [Mobility FireGL 9000]
+	4c66  RV250/M9 GL [Mobility FireGL 9000/Radeon 9000]
 		1014 054d  ThinkPad T41
-	4c67  Radeon RV250 Lg [Radeon Mobility 9000 M9]
-# Secondary chip to the Lf
-	4c6e  Radeon RV250 Ln [Radeon Mobility 9000 M9] (Secondary)
-	4d46  Rage Mobility M4 AGP
-	4d4c  Rage Mobility M4 AGP
+	4c6e  RV250/M9 [Mobility Radeon 9000] (Secondary)
+	4d46  Rage Mobility 128 AGP 4X/Mobility M4
 	4d52  Theater 550 PRO PCI [ATI TV Wonder 550]
 	4d53  Theater 550 PRO PCIe
-	4e44  Radeon R300 ND [Radeon 9700 Pro]
+	4e44  R300 [Radeon 9700/9700 PRO]
 		1002 515e  Radeon ES1000
 		1002 5965  Radeon ES1000
-	4e45  Radeon R300 NE [Radeon 9500 Pro]
+	4e45  R300 [Radeon 9500 PRO/9700]
 		1002 0002  Radeon R300 NE [Radeon 9500 Pro]
 		1681 0002  Hercules 3D Prophet 9500 PRO [Radeon 9500 Pro]
-	4e46  R300 NF [Radeon 9600 TX]
-	4e47  Radeon R300 NG [FireGL X1]
-	4e48  Radeon R350 [Radeon 9800 Pro]
-	4e49  Radeon R350 [Radeon 9800]
-	4e4a  R360 NJ [Radeon 9800 XT]
+	4e46  R300 [Radeon 9600 TX]
+	4e47  R300 GL [FireGL X1]
+	4e48  R350 [Radeon 9800 Series]
+	4e49  R350 [Radeon 9800]
+	4e4a  R360 [Radeon 9800 XXL/XT]
 		1002 4e4a  R360 [Radeon 9800 XT]
-	4e4b  R350 NK [FireGL X2]
-	4e50  RV350 [Mobility Radeon 9600 M10]
+	4e4b  R350 GL [FireGL X2 AGP Pro]
+	4e50  RV350/M10 [Mobility Radeon 9600 PRO Turbo]
 		1025 005a  TravelMate 290
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
 		144d c00c  P35 notebook
 		1462 0311  MSI M510A
 		1734 1055  Amilo M1420W
-	4e51  RV350 NQ [Mobility Radeon 9600]
-	4e52  RV350 [Mobility Radeon 9600 M10]
+	4e51  RV350 [Radeon 9550/9600/X1050 Series]
+	4e52  RV350/M10 [Mobility Radeon 9500/9700 SE]
 		144d c00c  P35 notebook
-	4e53  RV350 NS [Mobility Radeon 9600]
-	4e54  M10 NT [FireGL Mobility T2]
-	4e56  M11 NV [FireGL Mobility T2e]
-	4e64  Radeon R300 [Radeon 9700 Pro] (Secondary)
-	4e65  Radeon R300 [Radeon 9500 Pro] (Secondary)
+	4e54  RV350/M10 GL [Mobility FireGL T2]
+	4e56  RV360/M12 [Mobility Radeon 9550]
+	4e64  R300 [Radeon 9700 PRO] (Secondary)
+	4e65  R300 [Radeon 9500 PRO] (Secondary)
 		1002 0003  Radeon R300 NE [Radeon 9500 Pro]
 		1681 0003  Hercules 3D Prophet 9500 PRO [Radeon 9500 Pro] (Secondary)
-	4e66  RV350 NF [Radeon 9600] (Secondary)
-	4e67  Radeon R300 [FireGL X1] (Secondary)
-	4e68  Radeon R350 [Radeon 9800 Pro] (Secondary)
-	4e69  Radeon R350 [Radeon 9800] (Secondary)
-	4e6a  RV350 NJ [Radeon 9800 XT] (Secondary)
+	4e66  RV350 [Radeon 9600] (Secondary)
+	4e67  R300 GL [FireGL X1] (Secondary)
+	4e68  R350 [Radeon 9800 PRO] (Secondary)
+	4e69  R350 [Radeon 9800] (Secondary)
+	4e6a  RV350 [Radeon 9800 XT] (Secondary)
 		1002 4e6a  R360 [Radeon 9800 XT] (Secondary)
 		1002 4e71  M10 NQ [Radeon Mobility 9600]
-	4e71  M10 NQ [Radeon Mobility 9600] (Secondary)
+	4e71  RV350/M10 [Mobility Radeon 9600] (Secondary)
 	4f72  RV250 [Radeon 9000 Series]
-	4f73  Radeon RV250 [Radeon 9000 Series] (Secondary)
-	5041  Rage 128 PA/PRO
-	5042  Rage 128 PB/PRO AGP 2x
-	5043  Rage 128 PC/PRO AGP 4x
-	5044  Rage 128 PD/PRO TMDS
+	4f73  RV250 [Radeon 9000 Series] (Secondary)
+	5044  All-In-Wonder 128 PCI
 		1002 0028  Rage 128 AIW
 		1002 0029  Rage 128 AIW
-	5045  Rage 128 PE/PRO AGP 2x TMDS
-	5046  Rage 128 PF/PRO AGP 4x TMDS
+	5046  Rage 128 PRO AGP 4x TMDS
 		1002 0004  Rage Fury Pro
 		1002 0008  Rage Fury Pro/Xpert 2000 Pro
 		1002 0014  Rage Fury Pro
@@ -1109,26 +1084,10 @@
 		1002 0048  Rage Fury Pro
 		1002 2000  Rage Fury MAXX AGP 4x (TMDS) (VGA device)
 		1002 2001  Rage Fury MAXX AGP 4x (TMDS) (Extra device?!)
-	5047  Rage 128 PG/PRO
-	5048  Rage 128 PH/PRO AGP 2x
-	5049  Rage 128 PI/PRO AGP 4x
-	504a  Rage 128 PJ/PRO TMDS
-	504b  Rage 128 PK/PRO AGP 2x TMDS
-	504c  Rage 128 PL/PRO AGP 4x TMDS
-	504d  Rage 128 PM/PRO
-	504e  Rage 128 PN/PRO AGP 2x
-	504f  Rage 128 PO/PRO AGP 4x
-	5050  Rage 128 PP/PRO TMDS [Xpert 128]
+	5050  Rage128 [Xpert 128 PCI]
 		1002 0008  Xpert 128
-	5051  Rage 128 PQ/PRO AGP 2x TMDS
-	5052  Rage 128 PR/PRO AGP 4x TMDS
-	5053  Rage 128 PS/PRO
-	5054  Rage 128 PT/PRO AGP 2x
-	5055  Rage 128 PU/PRO AGP 4x
-	5056  Rage 128 PV/PRO TMDS
-	5057  Rage 128 PW/PRO AGP 2x TMDS
-	5058  Rage 128 PX/PRO AGP 4x TMDS
-	5144  Radeon R100 QD [Radeon 7200]
+	5052  Rage 128 PRO AGP 4X TMDS
+	5144  R100 [Radeon 7200 / All-In-Wonder Radeon]
 		1002 0008  Radeon 7000/Radeon VE
 		1002 0009  Radeon 7000/Radeon
 		1002 000a  Radeon 7000/Radeon
@@ -1142,30 +1101,20 @@
 		1002 028a  Radeon 7000/Radeon
 		1002 02aa  Radeon AIW
 		1002 053a  Radeon 7000/Radeon
-	5145  Radeon R100 QE
-	5146  Radeon R100 QF
-	5147  Radeon R100 QG
-	5148  Radeon R200 QH [Radeon 8500]
+	5148  R200 GL [FireGL 8800]
 		1002 010a  FireGL 8800 64Mb
 		1002 0152  FireGL 8800 128Mb
 		1002 0162  FireGL 8700 32Mb
 		1002 0172  FireGL 8700 64Mb
-	5149  Radeon R200 QI
-	514a  Radeon R200 QJ
-	514b  Radeon R200 QK
-	514c  Radeon R200 QL [Radeon 8500 LE]
+	514c  R200 [Radeon 8500/8500 LE]
 		1002 003a  Radeon R200 QL [Radeon 8500 LE]
 		1002 013a  Radeon 8500
 		148c 2026  R200 QL [Radeon 8500 Evil Master II Multi Display Edition]
 		1681 0010  Radeon 8500 [3D Prophet 8500 128Mb]
-		174b 7149  Radeon R200 QL [Sapphire Radeon 8500 LE]
+		174b 7149  Radeon 8500 LE
 		1787 0f08  Radeon R200 QL [PowerMagic Radeon 8500]
-	514d  Radeon R200 QM [Radeon 9100]
-	514e  Radeon R200 QN [Radeon 8500LE]
-	514f  Radeon R200 QO [Radeon 8500LE]
-	5154  R200 QT [Radeon 8500]
-	5155  R200 QU [Radeon 9100]
-	5157  RV200 QW [Radeon 7500]
+	514d  R200 [Radeon 9100]
+	5157  RV200 [Radeon 7500/7500 LE]
 		1002 013a  Radeon 7500
 		1002 0f2b  ALL-IN-WONDER VE PCI
 		1002 103a  Dell Optiplex GX260
@@ -1174,11 +1123,10 @@
 		148c 2025  RV200 QW [Radeon 7500 Evil Master Multi Display Edition]
 		148c 2036  RV200 QW [Radeon 7500 PCI Dual Display]
 		174b 7146  RV200 QW [Radeon 7500 LE]
-		174b 7147  RV200 QW [Sapphire Radeon 7500LE]
+		174b 7147  Radeon 7500 LE
 		174b 7161  Radeon RV200 QW [Radeon 7500 LE]
 		17af 0202  RV200 QW [Excalibur Radeon 7500LE]
-	5158  RV200 QX [Radeon 7500]
-	5159  RV100 QY [Radeon 7000/VE]
+	5159  RV100 [Radeon 7000 / Radeon VE]
 		1002 000a  Radeon 7000/Radeon VE
 		1002 000b  Radeon 7000
 		1002 0038  Radeon 7000/Radeon VE
@@ -1199,11 +1147,10 @@
 		148c 2003  RV100 QY [Radeon 7000 Multi-Display Edition]
 		148c 2023  RV100 QY [Radeon 7000 Evil Master Multi-Display]
 		174b 0280  Radeon RV100 QY [Radeon 7000/VE]
-		174b 7112  RV100 QY [Sapphire Radeon VE 7000]
-		174b 7c28  Sapphire Radeon VE 7000 DDR
+		174b 7112  Radeon VE 7000
+		174b 7c28  Radeon VE 7000 DDR
 		1787 0202  RV100 QY [Excalibur Radeon 7000]
 		17ee 1001  Radeon 7000 64MB DDR + DVI
-	515a  RV100 QZ [Radeon 7000/VE]
 	515e  ES1000
 		1028 01bb  PowerEdge 1955 Embedded ATI ES1000
 		1028 01df  PowerEdge SC440
@@ -1219,45 +1166,32 @@
 		1028 023c  PowerEdge R200 Embedded ATI ES1000
 		103c 1304  Integrity iLO2 Advanced KVM VGA [AD307A]
 		15d9 8680  X7DVL-E-O motherboard
+		15d9 9680  X7DBN Motherboard
 		8086 3476  S5000PSLSATA Server Board
-	515f  ES1000
-	5168  Radeon R200 Qh
-	5169  Radeon R200 Qi
-	516a  Radeon R200 Qj
-	516b  Radeon R200 Qk
-# This one is not in ATI documentation, but is in XFree86 source code
-	516c  Radeon R200 Ql
-	5245  Rage 128 RE/SG
+	5245  Rage 128 GL PCI
 		1002 0008  Xpert 128
 		1002 0028  Rage 128 AIW
 		1002 0029  Rage 128 AIW
 		1002 0068  Rage 128 AIW
-	5246  Rage 128 RF/SG AGP
+	5246  Rage Fury/Xpert 128/Xpert 2000 AGP 2x
 		1002 0004  Magnum/Xpert 128/Xpert 99
 		1002 0008  Magnum/Xpert128/X99/Xpert2000
 		1002 0028  Rage 128 AIW AGP
 		1002 0044  Rage Fury/Xpert 128/Xpert 2000
 		1002 0068  Rage 128 AIW AGP
 		1002 0448  Rage Fury
-	5247  Rage 128 RG
-	524b  Rage 128 RK/VR
-	524c  Rage 128 RL/VR AGP
+	524b  Rage 128 VR PCI
+	524c  Rage 128 VR AGP
 		1002 0008  Xpert 99/Xpert 2000
 		1002 0088  Xpert 99
-	5345  Rage 128 SE/4x
 	5346  Rage 128 SF/4x AGP 2x
 		1002 0048  RAGE 128 16MB VGA TVOUT AMC PAL
-	5347  Rage 128 SG/4x AGP 4x
-	5348  Rage 128 SH
-	534b  Rage 128 SK/4x
-	534c  Rage 128 SL/4x AGP 2x
-	534d  Rage 128 SM/4x AGP 4x
+	534d  Rage 128 4X AGP 4x
 		1002 0008  Xpert 99/Xpert 2000
 		1002 0018  Xpert 2000
-	534e  Rage 128 4x
 	5354  Mach 64 VT
 		1002 5654  Mach 64 reference
-	5446  Rage 128 Pro Ultra TF
+	5446  Rage 128 PRO Ultra AGP 4x
 		1002 0004  Rage Fury Pro
 		1002 0008  Rage Fury Pro/Xpert 2000 Pro
 		1002 0018  Rage Fury Pro/Xpert 2000 Pro
